/*
 * Copyright (c) 2026, Chloe M.
 * Provided under the BSD-3 clause.
 *
 * Description: Board initialization
 * Author:      Chloe M.
 */

#include <hal/board.h>
#include <machine/hpet.h>
#include <machine/irqchip.h>

VOID
HalBoardInit(VOID)
{
    /* Initialize HPET */
    MdHpetInit();

    /* Initialize IRQ chips */
    MdIrqChipInit();
}
